# Class VcfHeaderRecord
Store key/value pair for VCF header records.

Defined in | <seqan/vcf_io.h>
Signature | `class VcfHeaderRecord;`

## Member Function Overview

- `VcfHeaderRecord::VcfHeaderRecord();, VcfHeaderRecord::VcfHeaderRecord(key, value);`
  Constructor

## Interface Function Overview

- `void clear(record);`
  Clear a VcfHeaderRecord.

## Member Variable Overview

- `CharString VcfHeaderRecord::key`
  Key of the header record.
- `CharString VcfHeaderRecord::value`
  Value of the header record.

## Member Functions Detail

### `VcfHeaderRecord::VcfHeaderRecord(); VcfHeaderRecord::VcfHeaderRecord(key, value);`

Constructor

#### Parameters

`key` | Key of the header record, CharString.
`value` | Key of the header record, CharString.

#### Data Races

Thread safety unknown!

## Interface Functions Detail

### `void clear(record);`

Clear a VcfHeaderRecord.

#### Parameters

`record` | The VcfHeaderRecord to clear.

#### Data Races

Thread safety unknown!

## Member Variables Detail

### `CharString VcfHeaderRecord::key`

Key of the header record.

### `CharString VcfHeaderRecord::value`

Value of the header record.

#### Dox Sources

    /*!
     * @class VcfHeaderRecord
     *
     * @headerfile <seqan/vcf_io.h>
     *
     * @brief Store key/value pair for VCF header records.
     *
     * @signature class VcfHeaderRecord;
     *
     * @fn VcfHeaderRecord::VcfHeaderRecord
     *
     * @brief Constructor
     *
     * @signature VcfHeaderRecord::VcfHeaderRecord();
     * @signature VcfHeaderRecord::VcfHeaderRecord(key, value);
     *
     * @param[in] key Key of the header record, @link CharString @endlink.
     * @param[in] value Key of the header record, @link CharString @endlink.
     *
     * @var CharString VcfHeaderRecord::key;
     *
     * @brief Key of the header record.
     *
     * @var CharString VcfHeaderRecord::value;
     *
     * @brief Value of the header record.
     *
     * @fn VcfHeaderRecord#clear
     *
     * @brief Clear a VcfHeaderRecord.
     *
     * @signature void clear(record);
     *
     * @param[in,out] record The VcfHeaderRecord to clear.
     */